# This file created by conda-build 3.21.6
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/grpcio-1.42.0-python_3.9-on-linux_64, last modified Mon Nov 22 14:16:11 2021
# ------------------------------------------------

package:
  name: grpcio
  version: 1.42.0
source:
  patches:
    - 0001-Monkey-patch-distutils.ccompiler.spawn-to-elide-std-.patch
    - 0001-fix-win-commands.patch
    - 0002-windows-ssl-lib-names.patch
  sha256: 4a8f2c7490fe3696e0cdd566e2f099fb91b51bc75446125175c55581c2f7bc11
  url: https://pypi.io/packages/source/g/grpcio/grpcio-1.42.0.tar.gz
build:
  missing_dso_whitelist: null
  number: '0'
  string: py39hce63b2e_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - patch 2.7.6 h7b6447c_1001
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - c-ares 1.17.1 h27cfd23_0
    - ca-certificates 2021.10.26 h06a4308_2
    - certifi 2021.10.8 py39h06a4308_0
    - coverage 5.5 py39h27cfd23_2
    - cython 0.29.24 py39hdbfa776_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1l h7f8727e_0
    - pip 21.2.4 py39h06a4308_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.9.7 h12debd9_1
    - readline 8.1 h27cfd23_0
    - setuptools 58.0.4 py39h06a4308_0
    - six 1.16.0 pyhd3eb1b0_0
    - sqlite 3.36.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.0 pyhd3eb1b0_1
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - c-ares >=1.17.1,<2.0a0
    - libgcc-ng >=7.5.0
    - libstdcxx-ng >=7.5.0
    - openssl >=1.1.1l,<1.1.2a
    - python >=3.9,<3.10.0a0
    - six >=1.5.2
    - zlib >=1.2.11,<1.3.0a0
test:
  commands:
    - python -m pip check
  imports:
    - grpc
    - grpc._cython
    - grpc._cython._cygrpc
    - grpc.beta
    - grpc.framework
    - grpc.framework.common
    - grpc.framework.foundation
    - grpc.framework.interfaces
    - grpc.framework.interfaces.base
    - grpc.framework.interfaces.face
  requires:
    - pip
about:
  dev_url: https://pypi.org/project/grpcio/
  home: https://grpc.io
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE
  summary: HTTP/2-based RPC framework
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - bollwyvl
    - jcrist
    - ocefpaf
    - tswast
